package cn.com.countrygarden.bi.main.model.performance;

import java.util.Date;

/**
 * 绩效考核月度表
 *
 * @author Max  Date:2018/09/18
 * @version 1.0
 * @since 1.8
 */
public class PerformanceMonthly {
    private Long monthId;//月度编号

    private Long elementId;//指标编号

    private String complete;//月度完成值

    private String annualTarget;//年度目标值

    private String completeRate;//完成率

    private Integer year;//年

    private Integer month;//月

    private String hierarchyId;//区域&城市id

    private Integer ranges;//排名

    private Date createdDate;//创建日期

    private String createdBy;//创建人

    private Date updateDate;//更新日期

    private String updateBy;//更新人

    public PerformanceMonthly(int year, int month, long elementId, String hierarchyId){
        this.year = year;
        this.month = month;
        this.elementId = elementId;
        this.hierarchyId = hierarchyId;
    }

    public PerformanceMonthly(Long monthId, Long elementId, String complete, String annualTarget, String completeRate, Integer year, Integer month, String hierarchyId, Integer ranges, Date createdDate, String createdBy, Date updateDate, String updateBy) {
        this.monthId = monthId;
        this.elementId = elementId;
        this.complete = complete;
        this.annualTarget = annualTarget;
        this.completeRate = completeRate;
        this.year = year;
        this.month = month;
        this.hierarchyId = hierarchyId;
        this.ranges = ranges;
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public PerformanceMonthly() {
        super();
    }

    public Long getMonthId() {
        return monthId;
    }

    public void setMonthId(Long monthId) {
        this.monthId = monthId;
    }

    public Long getElementId() {
        return elementId;
    }

    public void setElementId(Long elementId) {
        this.elementId = elementId;
    }

    public String getComplete() {
        return complete;
    }

    public void setComplete(String complete) {
        this.complete = complete == null ? null : complete.trim();
    }

    public String getAnnualTarget() {
        return annualTarget;
    }

    public void setAnnualTarget(String annualTarget) {
        this.annualTarget = annualTarget == null ? null : annualTarget.trim();
    }

    public String getCompleteRate() {
        return completeRate;
    }

    public void setCompleteRate(String completeRate) {
        this.completeRate = completeRate == null ? null : completeRate.trim();
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public String getHierarchyId() {
        return hierarchyId;
    }

    public void setHierarchyId(String hierarchyId) {
        this.hierarchyId = hierarchyId == null ? null : hierarchyId.trim();
    }

    public Integer getRanges() {
        return ranges;
    }

    public void setRanges(Integer ranges) {
        this.ranges = ranges;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }
}